﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Windows.Threading;

namespace sl_ChartView_668536
{
    public partial class MainPage : UserControl
    {
        public ObservableCollection<PlotInfo> Data { get; set; }

        public MainPage()
        {
            InitializeComponent();
            this.Data = new ObservableCollection<PlotInfo>();

            DispatcherTimer timer = new DispatcherTimer();
            timer.Tick += this.timer_Tick;
            timer.Interval = new TimeSpan(0, 0, 5);
            timer.Start();

            this.DataContext = this.Data;
        }

        void timer_Tick(object sender, EventArgs e)
        {
            this.Data.Add(new PlotInfo() { XCat = "x1", YVal = 12, });
            this.Data.Add(new PlotInfo() { XCat = "x2", YVal = 22, });
            this.Data.Add(new PlotInfo() { XCat = "x3", YVal = 17, });
            this.Data.Add(new PlotInfo() { XCat = "x4", YVal = 20, });
        }
    }

    public class PlotInfo
    {
        public string XCat { get; set; }
        public double YVal { get; set; }
    }
}
